| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
ccan_001.c File Reference
`#include "ccan_001.h"`

Go to the source code of this file.

## Functions
static void | CCAN_IF_Buf_transfer (IP_CCAN_001_T *pCCAN, IP_CCAN_MSG_INTERFACE_T IFsel, uint32_t msg_num, uint8_t direction)
void | IP_CCAN_SWInit (IP_CCAN_001_T *pCCAN, FunctionalState NewState)
| Initialize the CAN controller.
void | IP_CCAN_TimingCfg (IP_CCAN_001_T *pCCAN, uint32_t ClkDiv, uint32_t BaudRatePrescaler, uint8_t SynJumpWidth, uint8_t Tseg1, uint8_t Tseg2)
| Configure the bit timing for CCAN bus.
void | IP_CCAN_IntEnable (IP_CCAN_001_T *pCCAN, IP_CCAN_INT_T Int_type, FunctionalState NewState)
| Enable/Disable CCAN Interrupts.
void | IP_CCAN_AutoRetransmitEnable (IP_CCAN_001_T *pCCAN, FunctionalState NewState)
| Enable/Disable automatic retransmission.
uint8_t | IP_CCAN_GetErrCounter (IP_CCAN_001_T *pCCAN, IP_CCAN_TRX_MODE_T TRMode)
| Get the current value of the transmit/receive error counter.
uint32_t | IP_CCAN_GetStatus (IP_CCAN_001_T *pCCAN)
| Get the CCAN status register.
void | IP_CCAN_SetStatus (IP_CCAN_001_T *pCCAN, uint32_t val)
| Set the CCAN status.
uint32_t | IP_CCAN_Get_IntID (IP_CCAN_001_T *pCCAN)
| Get the source ID of an interrupt.
void | IP_CCAN_TestModeEnable (IP_CCAN_001_T *pCCAN, IP_CCAN_TEST_MODE_T test_mode, FunctionalState NewState)
| Enable/Disable test mode in CCAN.
void | IP_CCAN_ClearIntPend (IP_CCAN_001_T *pCCAN, IP_CCAN_MSG_INTERFACE_T IFsel, uint8_t msg_num)
| Clear interrupt pending bit in the message object.
void | IP_CCAN_Clear_NewDataFlag (IP_CCAN_001_T *pCCAN, IP_CCAN_MSG_INTERFACE_T IFsel, uint8_t msg_num)
| Clear new data flag bit in the message object.
void | IP_CCAN_SetValidMsg (IP_CCAN_001_T *pCCAN, IP_CCAN_MSG_INTERFACE_T IFsel, uint8_t msg_num, FunctionalState NewState)
| Enable/Disable the message object to valid.
uint32_t | IP_CCAN_GetValidMsg (IP_CCAN_001_T *pCCAN)
| Check the message objects is valid or not.
uint32_t | IP_CCAN_GetTxRQST (IP_CCAN_001_T *pCCAN)
| Get the transmit repuest bit in all message objects.
void | IP_CCAN_SetMsgObject (IP_CCAN_001_T *pCCAN, IP_CCAN_MSG_INTERFACE_T IFsel, uint8_t direction, uint32_t RemoteEnable, uint8_t msg_num, const message_object *msg_ptr)
| Set a message into the message object in message RAM.
void | IP_CCAN_GetMsgObject (IP_CCAN_001_T *pCCAN, IP_CCAN_MSG_INTERFACE_T IFsel, uint8_t msg_num, message_object *msg_buf)
| Get a message object in message RAM into the message buffer.

## Function Documentation

static void CCAN_IF_Buf_transfer | ( | IP_CCAN_001_T * | pCCAN,
|  | IP_CCAN_MSG_INTERFACE_T | IFsel,
|  | uint32_t | msg_num,
|  | uint8_t | direction
| ) |  |
| static

Definition at line 46 of file ccan_001.c.